Subject: bug#76553: 31.0.50; TRAMP failure with `tramp-use-connection-share' set to nil

From: Michael Albinus <[email-masked]>
Date: Tue, 25 Feb 2025 15:54:46 +0100

Manuel Giraud <[email-masked]> writes:

> Hi (again) Michael,

Hi Manuel,

> Currently, TRAMP is failing with `tramp-use-connection-share' set to nil
> (my setting because I manage ControlMaster in my own .ssh/config).  How
> to reproduce this:
>
>              - emacs -Q
>              - M-: (setopt tramp-use-connection-share nil) <RET>
>              - C-x C-f /-:somewhere: <RET>
>
> Now I get the following error:
>
> tramp-signal-hook-function: Wrong type argument: "char-or-string-p nil"
>
> The culprit seems to be the cond in `tramp-ssh-or-plink-options' which
> could end up returning nil.

Thanks for the bug report and the analysis (which is valid)! I've pushed
a fix to the master btanch; could you pls test?

> Best regards,

Best regards, Michael.